﻿@model MIMS.Portal.ViewModels.Upgarde.MerchantInfoViewModel

@using Microsoft.Extensions.Configuration

@inject IConfiguration _config;

@{
    ViewBag.PageTitle = "بروزرسانی اطلاعات پذیرنده";
    ViewBag.Description = "";
    Layout = "/Views/Shared/Layouts/_BlankLayout.cshtml";

}


@section styles{


}


<section class="flexbox-container0">
    <div class="row">
        <div class="col-md-8 offset-md-2 col-xs-10 offset-xs-1 box-shadow-2 p-0 mt-5">
            <div class="card border-grey border-lighten-3 m-0">
                <div class="card-header no-border">
                    <div class="card-title text-xs-center">
                        <h2 class="blue-grey">
                            پرداخت الکترونیک فجر
                        </h2>
                        <div class="p-1" hidden>
                            <img src="../../app-assets2/images/logo/brand-logo-dark.png" alt="branding logo" hidden>
                        </div>
                    </div>
                    <h6 class="card-subtitle line-on-side text-muted text-xs-center font-small-3 pt-2"><span>@ViewBag.PageTitle</span></h6>
                </div>
                <div data-title="Welcome!" data-intro="Hello World! 👋" class="card-body collapse in">
                    <div class="card-block">
                        <form method="post" enctype="multipart/form-data">
                            <div class="card0">
                                <div class="card-header0">
                                    <h4 class="card-title">مشخصات پذیرنده</h4>
                                </div>
                                <div class="card-body0">

                                    <div class="card-block0">
                                        <div class="alert alert-warning no-border mb-1" role="alert">
                                            <strong>کاربر گرامی</strong> <br />
                                            احتراما پیرو الزام شاپرک مبنی بر پیاده سازی سامانه شاهکار، از این پس کدملی پذیرنده با کدملی دارنده خط تلفن همراه بررسی و صحت سنجی میشود که در صورت عدم تطابق، پایانه (ترمینال) تایید نخواهد شد.
                                        </div>
                                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>

                                        <div class="form">
                                            <div class="form-body">
                                                <h5 class="form-section"><i class="icon-head"></i> اطلاعات هویتی</h5>
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.MerchantType" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.MerchantType" class="text-danger"></span>
                                                            <select asp-for="Merchant.MerchantType" asp-description-for="Merchant.MerchantType" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PersonType>()">
                                                                <option selected value="">--</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <hr data-content="AND" class="text-divider" />
                                                @*<h4 class="form-section"><i class="icon-clipboard4"></i> Requirements</h4>*@
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.FirstName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.FirstName" class="text-danger"></span>
                                                            <input asp-for="Merchant.FirstName" asp-description-for="Merchant.FirstName" class="form-control" readonly />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.LastName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.LastName" class="text-danger"></span>
                                                            <input asp-for="Merchant.LastName" asp-description-for="Merchant.LastName" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.FatherName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.FatherName" class="text-danger"></span>
                                                            <input asp-for="Merchant.FatherName" asp-description-for="Merchant.FatherName" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.Gender" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.Gender" class="text-danger"></span>
                                                            <select asp-for="Merchant.Gender" asp-description-for="Merchant.Gender" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.Gender>()">
                                                                <option selected value="">--</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.EnglishFirstName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.EnglishFirstName" class="text-danger"></span>
                                                            <input asp-for="Merchant.EnglishFirstName" asp-description-for="Merchant.EnglishFirstName" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.EnglishLastName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.EnglishLastName" class="text-danger"></span>
                                                            <input asp-for="Merchant.EnglishLastName" asp-description-for="Merchant.EnglishLastName" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.EnglishFatherName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.EnglishFatherName" class="text-danger"></span>
                                                            <input asp-for="Merchant.EnglishFatherName" asp-description-for="Merchant.EnglishFatherName" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">

                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.NationalCode" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.NationalCode" class="text-danger"></span>
                                                            <input asp-for="Merchant.NationalCode" asp-description-for="Merchant.NationalCode" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.BirthCertificateNumber" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.BirthCertificateNumber" class="text-danger"></span>
                                                            <input asp-for="Merchant.BirthCertificateNumber" asp-description-for="Merchant.BirthCertificateNumber" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.BirthDate" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.BirthDate" class="text-danger"></span>
                                                            <input asp-for="Merchant.BirthDate" asp-description-for="Merchant.BirthDate" class="form-control" />
                                                        </div>
                                                    </div>

                                                </div>
                                                <hr class="legal-person" />
                                                <div class="row legal-person">
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.CompanyName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.CompanyName" class="text-danger"></span>
                                                            <input asp-for="Merchant.CompanyName" asp-description-for="Merchant.CompanyName" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.EnglishCompanyName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.EnglishCompanyName" class="text-danger"></span>
                                                            <input asp-for="Merchant.EnglishCompanyName" asp-description-for="Merchant.EnglishCompanyName" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.CompanyNationalId" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.CompanyNationalId" class="text-danger"></span>
                                                            <input asp-for="Merchant.CompanyNationalId" asp-description-for="Merchant.CompanyNationalId" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.CompanyRegisterNumber" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.CompanyRegisterNumber" class="text-danger"></span>
                                                            <input asp-for="Merchant.CompanyRegisterNumber" asp-description-for="Merchant.CompanyRegisterNumber" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.CompanyEconomicCode" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.CompanyEconomicCode" class="text-danger"></span>
                                                            <input asp-for="Merchant.CompanyEconomicCode" asp-description-for="Merchant.CompanyEconomicCode" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.CompanyRegisterDate" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.CompanyRegisterDate" class="text-danger"></span>
                                                            <input asp-for="Merchant.CompanyRegisterDate" asp-description-for="Merchant.CompanyRegisterDate" class="form-control" />
                                                        </div>
                                                    </div>

                                                </div>
                                                <hr />
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.Mobile" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.Mobile" class="text-danger"></span>
                                                            <input asp-for="Merchant.Mobile" asp-description-for="Merchant.Mobile" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.Phone" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.Phone" class="text-danger"></span>
                                                            <input asp-for="Merchant.Phone" asp-description-for="Merchant.Phone" class="form-control" />
                                                        </div>
                                                    </div>
                                                    @*<div class="col-md-3">
                <div class="form-group">
                    <label asp-for="Merchant.Fax" class="control-label"></label>
                    <span asp-validation-for="Merchant.Fax" class="text-danger"></span>
                    <input asp-for="Merchant.Fax" asp-description-for="Merchant.Fax" class="form-control" />
                </div>
            </div>*@

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.Email" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.Email" class="text-danger"></span>
                                                            <input asp-for="Merchant.Email" asp-description-for="Merchant.Email" class="form-control" />
                                                        </div>
                                                    </div>

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.PostalCode" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.PostalCode" class="text-danger"></span>
                                                            <input asp-for="Merchant.PostalCode" asp-description-for="Merchant.PostalCode" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-9">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.Address" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.Address" class="text-danger"></span>
                                                            <input asp-for="Merchant.Address" asp-description-for="Merchant.Address" class="form-control" />
                                                        </div>
                                                    </div>
                                                </div>
                                                <hr />
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.ReferrerFirstName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.ReferrerFirstName" class="text-danger"></span>
                                                            <input asp-for="Merchant.ReferrerFirstName" asp-description-for="Merchant.ReferrerFirstName" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.ReferrerLastName" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.ReferrerLastName" class="text-danger"></span>
                                                            <input asp-for="Merchant.ReferrerLastName" asp-description-for="Merchant.ReferrerLastName" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.ReferrerNationalCode" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.ReferrerNationalCode" class="text-danger"></span>
                                                            <input asp-for="Merchant.ReferrerNationalCode" asp-description-for="Merchant.ReferrerNationalCode" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.ReferrerMobile" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.ReferrerMobile" class="text-danger"></span>
                                                            <input asp-for="Merchant.ReferrerMobile" asp-description-for="Merchant.ReferrerMobile" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.ReferrerPhone" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.ReferrerPhone" class="text-danger"></span>
                                                            <input asp-for="Merchant.ReferrerPhone" asp-description-for="Merchant.ReferrerPhone" class="form-control" />
                                                        </div>
                                                    </div>
                                                </div>
                                                <hr />
                                                <div class="row">
                                                    <partial name="/Views/Shared/Partials/_ImageUploadGuidePartial.cshtml" />
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.IDCardFront" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.IDCardFront" class="text-danger"></span>
                                                            <input asp-for="Merchant.IDCardFront" asp-description-for="Merchant.IDCardFront" class="form-control-file">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.IDCardBack" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.IDCardBack" class="text-danger"></span>
                                                            <input asp-for="Merchant.IDCardBack" asp-description-for="Merchant.IDCardBack" class="form-control-file">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.CredentialMainPage" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.CredentialMainPage" class="text-danger"></span>
                                                            <input asp-for="Merchant.CredentialMainPage" asp-description-for="Merchant.CredentialMainPage" class="form-control-file">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label asp-for="Merchant.CredentialLastPage" class="control-label"></label>
                                                            <span asp-validation-for="Merchant.CredentialLastPage" class="text-danger"></span>
                                                            <input asp-for="Merchant.CredentialLastPage" asp-description-for="Merchant.CredentialLastPage" class="form-control-file">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary btn-min-width">
                                        ثبت
                                    </button>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
                <div class="card-footer">
                    <div class="">
                        <p class="float-sm-right text-xs-center m-0">
                            <a asp-action="SignIn" class="card-link">ورود <i class="icon-arrow-left2"></i></a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


@section Scripts {

    <script>
        $("#new-captcha").click(function () {
            let imgUrl = `${location.protocol}//${location.host}/account/get-captcha?${new Date().getTime()}`;
            $(".captcha-img").css("backgroundImage", "url(" + imgUrl + ")");
        });
    </script>
}



